Deletes a project or publication from your portal.
DEL /projects/{externalId}
Authentication
This request requires basic authentication.
Request Parameters
Path params
| externalId |
string |
The ID of the project or publication to delete. |
|---|
Body params
| isDeleteFiles | bool | [optional] Deletion of the project/publication files folder, along with all its files and subfolders. Set to False by default. |
|---|---|---|
| isDeleteStyles | bool | [optional] Deletion of the project/publication styles if they are not used by other projects/publications. Set to False by default. |
| isDeleteScripts | bool | [optional] Deletion of the project/publication scripts if they are not used by other projects/publications. Set to False by default. |
Samples
Request sample
Bash (Unix Shell) |
curl --location -g --request DELETE 'https://{portal-url}/api/v1/projects/project-deep-space-exploration' \ --data-raw '{ "isDeleteFiles": true, "isDeleteStyles": true, "isDeleteScripts": true }' |
Response body sample
JSON |
|
Response fields
| taskKey |
The task key of the deletion process. |
|---|